Bug 170721 - RPMs installed in alphabetical order when pkgorder not set
RPMs installed in alphabetical order when pkgorder not set
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-10-13 21:01 EDT by Patrick Devine
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2006-0150
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:34:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Devine 2005-10-13 21:01:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20040924

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. build an iso w/o defining package order w/ genhdlist
2. reboot and try installing


Actual Results:  anaconda installs RPMs in alphabetical order instead of running ts.order() on the transaction set.

Additional info:

This diff fixes the problem:

--- hdrlist.py  2005-10-13 18:01:46.000000000 -0700
+++ anaconda-9.1.6.8/hdrlist.py 2004-07-27 16:51:37.000000000 -0700
@@ -345,7 +345,7 @@ class HeaderList:
     def preordered(self):
         preordered = 1
         for h in self.pkgs.values():
-            if h.isSelected() and not h[1000003]:
+            if h.isSelected() and h[1000003] == None:
                 preordered = 0
         return preordered
Comment 1 Patrick Devine 2005-10-14 14:10:05 EDT
I just realized I ran the diff backward.  You want the line to be "and not
h[1000003]:" instead of "and h[1000003] == None".

*sigh*
Comment 6 Red Hat Bugzilla 2006-03-15 10:34:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0150.html
Comment 7 Lance Davis 2006-04-04 16:40:03 EDT
This bugfix seems to have introduced a serious bug into CentOS 3.7 build - we
had cd swapping at least 10 times to install. I removed this bugfix and it is
working fine.
Comment 8 Lance Davis 2006-04-04 17:01:27 EDT
And anyway - surely not defining the package order w/genhdlist is the bug - not
what anaconda then does with it !!

Note You need to log in before you can comment on or make changes to this bug.